| Home | Libraries | People | FAQ | More

## Function template not2

boost::compute::not2

## Synopsis

    // In header: <boost/compute/functional/logical.hpp>

    template<typename Predicate>
      binary_negate< Predicate > not2(const Predicate & predicate);

## Description

Returns a binary_negate adaptor around `predicate`.

Parameters:

`predicate` | the binary function to wrap

Returns: | a binary_negate wrapper around `predicate`